Subject: SNMP read-write MIBs

From: Murali Karicheri <[email-masked]>
Date: Tue, 1 Nov 2016 14:06:40 -0400

Hello netdev experts,

I am investigating the requirements to support hsr/prp SNMP functions in kernel.
Based on my investigation so far, the kernel include file include/net/snmp.h
defines all of the SNMP MIBS related defines and structures. But the MIBs are
read-only type MIBs. Is there any implementation of read-write MIBs in kernel?

One of the specs for MIBs that are investigating have read-write MIBs and
wondering if we have any precedence of such MIBs implemented in kernel space.
If not, what is the suggested way to implement these MIBs in kernel space?

I assume that to implement read-only MIBs for hsr driver, I need to add
them to snmp.h and use standard Macros in snmp.h to update them from the driver.

Thanks
 
Murali Karicheri
Linux Kernel, Keystone